/*
 * Copyright (c) 2009-2017 Satlab Aps <satlab@satlab.com>
 * All rights reserved. Do not distribute without permission.
 */

#ifndef _SL_BTP_CRC32_H_
#define _SL_BTP_CRC32_H_

uint32_t btp_crc32c_push(uint8_t *data, size_t length, uint32_t crc);

uint32_t btp_crc32c_memory(uint8_t *data, uint32_t length);

uint32_t btp_crc32c_fd(int fd, off_t offset);

#endif /* _BTP_CRC32_H_ */
